diff --git a/testing/mozbase/mozprocess/mozprocess/qijo.py b/testing/mozbase/mozprocess/mozprocess/qijo.py
index ce23909fa5..2b006b1183 100644
--- a/testing/mozbase/mozprocess/mozprocess/qijo.py
+++ b/testing/mozbase/mozprocess/mozprocess/qijo.py
@@ -2,7 +2,6 @@
 # License, v. 2.0. If a copy of the MPL was not distributed with this file,
 # You can obtain one at http://mozilla.org/MPL/2.0/.
 
-from __future__ import absolute_import
 
 from ctypes import (
     c_void_p,
@@ -87,7 +86,7 @@ JobObjectBasicAndIoAccountingInformation = 8
 JobObjectExtendedLimitInformation = 9
 
 
-class JobObjectInfo(object):
+class JobObjectInfo:
     mapping = {'JobObjectBasicAndIoAccountingInformation': 8,
                'JobObjectExtendedLimitInformation': 9,
                'JobObjectAssociateCompletionPortInformation': 7}
@@ -98,12 +97,12 @@ class JobObjectInfo(object):
     }
 
     def __init__(self, _class):
-        if isinstance(_class, basestring):
+        if isinstance(_class, str):
             assert _class in self.mapping, \
-                'Class should be one of %s; you gave %s' % (self.mapping, _class)
+                'Class should be one of {}; you gave {}'.format(self.mapping, _class)
             _class = self.mapping[_class]
         assert _class in self.structures, \
-            'Class should be one of %s; you gave %s' % (self.structures, _class)
+            'Class should be one of {}; you gave {}'.format(self.structures, _class)
         self.code = _class
         self.info = self.structures[_class]()
 
@@ -131,7 +130,7 @@ _QueryInformationJobObject = QueryInformationJobObjectProto(
 )
 
 
-class SubscriptableReadOnlyStruct(object):
+class SubscriptableReadOnlyStruct:
 
     def __init__(self, struct):
         self._struct = struct
diff --git a/testing/mozbase/mozprocess/mozprocess/winprocess.py b/testing/mozbase/mozprocess/mozprocess/winprocess.py
index b748f8f302..50de744463 100644
--- a/testing/mozbase/mozprocess/mozprocess/winprocess.py
+++ b/testing/mozbase/mozprocess/mozprocess/winprocess.py
@@ -447,33 +447,33 @@ def CanCreateJobObject():
 
 
 def parent():
-    print 'Starting parent'
+    print('Starting parent')
     currentProc = GetCurrentProcess()
     if IsProcessInJob(currentProc):
-        print >> sys.stderr, "You should not be in a job object to test"
+        print("You should not be in a job object to test", file=sys.stderr)
         sys.exit(1)
     assert CanCreateJobObject()
-    print 'File: %s' % __file__
+    print('File: %s' % __file__)
     command = [sys.executable, __file__, '-child']
-    print 'Running command: %s' % command
+    print('Running command: %s' % command)
     process = subprocess.Popen(command)
     process.kill()
     code = process.returncode
-    print 'Child code: %s' % code
+    print('Child code: %s' % code)
     assert code == 127
 
 
 def child():
-    print 'Starting child'
+    print('Starting child')
     currentProc = GetCurrentProcess()
     injob = IsProcessInJob(currentProc)
-    print "Is in a job?: %s" % injob
+    print("Is in a job?: %s" % injob)
     can_create = CanCreateJobObject()
-    print 'Can create job?: %s' % can_create
+    print('Can create job?: %s' % can_create)
     process = subprocess.Popen('c:\\windows\\notepad.exe')
     assert process._job
     jobinfo = QueryInformationJobObject(process._job, 'JobObjectExtendedLimitInformation')
-    print 'Job info: %s' % jobinfo
+    print('Job info: %s' % jobinfo)
     limitflags = jobinfo['BasicLimitInformation']['LimitFlags']
-    print 'LimitFlags: %s' % limitflags
+    print('LimitFlags: %s' % limitflags)
     process.kill()
diff --git a/testing/mozbase/mozprocess/tests/proccountfive.py b/testing/mozbase/mozprocess/tests/proccountfive.py
index 5ec74b32ab..c2c5b0751c 100644
--- a/testing/mozbase/mozprocess/tests/proccountfive.py
+++ b/testing/mozbase/mozprocess/tests/proccountfive.py
@@ -1,2 +1,3 @@
+from __future__ import print_function
 for i in range(0, 5):
-    print i
+    print(i)
diff --git a/testing/mozbase/mozprocess/tests/proclaunch.py b/testing/mozbase/mozprocess/tests/proclaunch.py
index ad06a23a16..926440b22f 100644
--- a/testing/mozbase/mozprocess/tests/proclaunch.py
+++ b/testing/mozbase/mozprocess/tests/proclaunch.py
@@ -159,7 +159,7 @@ class ProcessLauncher(object):
 
         maxtime = self.children[proc_name].maxtime
         if self.verbose:
-            print "%sLaunching %s for %d*%d seconds" % (" " * level,
+            print("%sLaunching %s for %d*%d seconds" % (" " * level,)
                                                         proc_name,
                                                         maxtime,
                                                         self.UNIT_TIME)
@@ -174,7 +174,7 @@ class ProcessLauncher(object):
 
         self._launch(maxtime)
         if self.verbose:
-            print "%sFinished %s" % (" " * level, proc_name)
+            print("%sFinished %s" % (" " * level, proc_name))
 
     def _launch(self, running_time):
         """
diff --git a/testing/mozbase/mozprocess/tests/procnonewline.py b/testing/mozbase/mozprocess/tests/procnonewline.py
index 428a02bcb5..75a7a00ed7 100644
--- a/testing/mozbase/mozprocess/tests/procnonewline.py
+++ b/testing/mozbase/mozprocess/tests/procnonewline.py
@@ -1,3 +1,4 @@
+from __future__ import print_function
 import sys
-print "this is a newline"
+print("this is a newline")
 sys.stdout.write("this has NO newline")
diff --git a/testing/mozbase/mozprocess/tests/test_mozprocess.py b/testing/mozbase/mozprocess/tests/test_mozprocess.py
index bf8ba194c2..eb80c69b81 100644
--- a/testing/mozbase/mozprocess/tests/test_mozprocess.py
+++ b/testing/mozbase/mozprocess/tests/test_mozprocess.py
@@ -4,6 +4,7 @@
 # License, v. 2.0. If a copy of the MPL was not distributed with this file,
 # You can obtain one at http://mozilla.org/MPL/2.0/.
 
+from __future__ import print_function
 import os
 import subprocess
 import sys
@@ -42,9 +43,9 @@ def make_proclaunch(aDir):
         stdout, stderr = process.communicate()
         if process.returncode:
             # SomethingBadHappen; print all the things
-            print "%s: exit %d" % (command, process.returncode)
-            print "stdout:\n%s" % stdout
-            print "stderr:\n%s" % stderr
+            print(("%s: exit %d" % (command, process.returncode)))
+            print(("stdout:\n%s" % stdout))
+            print(("stderr:\n%s" % stderr))
             raise subprocess.CalledProcessError(process.returncode, command, stdout)
 
     # ensure the launcher now exists
@@ -110,7 +111,7 @@ class ProcTest(proctest.ProcTest):
             processhandler.ProcessHandler([self.proclaunch, "process_normal_finish.ini"],
                                           args=["1", "2", "3"],
                                           cwd=here)
-        except TypeError, e:
+        except TypeError as e:
             err = e
 
         self.assertTrue(err)
@@ -128,7 +129,7 @@ class ProcTest(proctest.ProcTest):
             processhandler.ProcessHandler([self.proclaunch, "process_normal_finish.ini"],
                                           args=["1", "2", "3"],
                                           cwd=here)
-        except TypeError, e:
+        except TypeError as e:
             err = e
 
         self.assertTrue(err)
diff --git a/testing/mozbase/mozprocess/tests/test_mozprocess_kill.py b/testing/mozbase/mozprocess/tests/test_mozprocess_kill.py
index 36dbc95cc5..cd0c0c2173 100644
--- a/testing/mozbase/mozprocess/tests/test_mozprocess_kill.py
+++ b/testing/mozbase/mozprocess/tests/test_mozprocess_kill.py
@@ -74,7 +74,7 @@ class ProcTestKill(proctest.ProcTest):
         p.run()
         p.kill()
 
-        self.assertEquals(p.proc.returncode, -signal.SIGTERM)
+        self.assertEqual(p.proc.returncode, -signal.SIGTERM)
 
     @unittest.skipUnless(processhandler.isPosix, "posix only")
     def test_process_kill_with_sigint_if_needed(self):
@@ -85,7 +85,7 @@ class ProcTestKill(proctest.ProcTest):
         time.sleep(1)
         p.kill()
 
-        self.assertEquals(p.proc.returncode, -signal.SIGKILL)
+        self.assertEqual(p.proc.returncode, -signal.SIGKILL)
 
 if __name__ == '__main__':
     unittest.main()
diff --git a/testing/mozbase/mozprocess/tests/test_mozprocess_misc.py b/testing/mozbase/mozprocess/tests/test_mozprocess_misc.py
index 7a7c690d13..d375836610 100644
--- a/testing/mozbase/mozprocess/tests/test_mozprocess_misc.py
+++ b/testing/mozbase/mozprocess/tests/test_mozprocess_misc.py
@@ -1,5 +1,4 @@
 #!/usr/bin/env python
-# -*- coding: utf-8 -*-
 
 import os
 import unittest
diff --git a/testing/mozbase/mozprocess/tests/test_mozprocess_output.py b/testing/mozbase/mozprocess/tests/test_mozprocess_output.py
index e9ad266209..107bbbef87 100644
--- a/testing/mozbase/mozprocess/tests/test_mozprocess_output.py
+++ b/testing/mozbase/mozprocess/tests/test_mozprocess_output.py
@@ -44,7 +44,7 @@ class ProcTestOutput(proctest.ProcTest):
             stream.write(str(i) + '\n')
 
         buf.flush()
-        self.assertEquals(stream.getvalue().strip(), expected)
+        self.assertEqual(stream.getvalue().strip(), expected)
 
         # make sure mozprocess doesn't close the stream
         # since mozprocess didn't create it
diff --git a/testing/mozbase/mozprocess/tests/test_mozprocess_params.py b/testing/mozbase/mozprocess/tests/test_mozprocess_params.py
index d4d1f00f36..6c1cf1daef 100644
--- a/testing/mozbase/mozprocess/tests/test_mozprocess_params.py
+++ b/testing/mozbase/mozprocess/tests/test_mozprocess_params.py
@@ -4,6 +4,7 @@
 # License, v. 2.0. If a copy of the MPL was not distributed with this file,
 # You can obtain one at http://mozilla.org/MPL/2.0/.
 
+from __future__ import print_function
 import unittest
 from mozprocess import processhandler
 
@@ -13,7 +14,7 @@ class ParamTests(unittest.TestCase):
     def test_process_outputline_handler(self):
         """Parameter processOutputLine is accepted with a single function"""
         def output(line):
-            print("output " + str(line))
+            print(("output " + str(line)))
         err = None
         try:
             processhandler.ProcessHandler(['ls', '-l'], processOutputLine=output)
@@ -24,7 +25,7 @@ class ParamTests(unittest.TestCase):
     def test_process_outputline_handler_list(self):
         """Parameter processOutputLine is accepted with a list of functions"""
         def output(line):
-            print("output " + str(line))
+            print(("output " + str(line)))
         err = None
         try:
             processhandler.ProcessHandler(['ls', '-l'], processOutputLine=[output])
diff --git a/testing/mozbase/mozprofile/mozprofile/__init__.py b/testing/mozbase/mozprofile/mozprofile/__init__.py
index 96bf1020bc..7416820652 100644
--- a/testing/mozbase/mozprofile/mozprofile/__init__.py
+++ b/testing/mozbase/mozprofile/mozprofile/__init__.py
@@ -11,11 +11,11 @@ subclasses ``FirefoxProfile`` and ``ThundebirdProfile`` are available
 with preset preferences for those applications.
 """
 
-from addons import *
-from cli import *
-from diff import *
-from permissions import *
-from prefs import *
-from profile import *
-from view import *
-from webapps import *
+from .addons import *
+from .cli import *
+from .diff import *
+from .permissions import *
+from .prefs import *
+from .profile import *
+from .view import *
+from .webapps import *
diff --git a/testing/mozbase/mozprofile/mozprofile/addons.py b/testing/mozbase/mozprofile/mozprofile/addons.py
index e96fd6b36c..4122579f04 100644
--- a/testing/mozbase/mozprofile/mozprofile/addons.py
+++ b/testing/mozbase/mozprofile/mozprofile/addons.py
@@ -6,12 +6,13 @@ import os
 import shutil
 import sys
 import tempfile
-import urllib2
+import six.moves.urllib.request, six.moves.urllib.error, six.moves.urllib.parse
 import zipfile
 from xml.dom import minidom
 
 import mozfile
 from mozlog.unstructured import getLogger
+import six
 
 # Needed for the AMO's rest API -
 # https://developer.mozilla.org/en/addons.mozilla.org_%28AMO%29_API_Developers%27_Guide/The_generic_AMO_API
@@ -104,7 +105,7 @@ class AddonManager(object):
         :param target_folder: Folder to store the XPI file in
 
         """
-        response = urllib2.urlopen(url)
+        response = six.moves.urllib.request.urlopen(url)
         fd, path = tempfile.mkstemp(suffix='.xpi')
         os.write(fd, response.read())
         os.close(fd)
@@ -168,14 +169,14 @@ class AddonManager(object):
 
         # install addon paths
         if addons:
-            if isinstance(addons, basestring):
+            if isinstance(addons, str):
                 addons = [addons]
             for addon in set(addons):
                 self.install_from_path(addon)
 
         # install addon manifests
         if manifests:
-            if isinstance(manifests, basestring):
+            if isinstance(manifests, str):
                 manifests = [manifests]
             for manifest in manifests:
                 self.install_from_manifest(manifest)
@@ -226,7 +227,7 @@ class AddonManager(object):
 
         .. _query-documentation: https://developer.mozilla.org/en/addons.mozilla.org_%28AMO%29_API_Developers%27_Guide/The_generic_AMO_API # noqa
         """
-        response = urllib2.urlopen(query)
+        response = six.moves.urllib.request.urlopen(query)
         dom = minidom.parseString(response.read())
         for node in dom.getElementsByTagName('install')[0].childNodes:
             if node.nodeType == node.TEXT_NODE:
@@ -291,7 +292,7 @@ class AddonManager(object):
             else:
                 raise IOError('Add-on path is neither an XPI nor a directory: %s' % addon_path)
         except (IOError, KeyError) as e:
-            raise AddonFormatError(str(e)), None, sys.exc_info()[2]
+            six.reraise(AddonFormatError(str(e)), None, sys.exc_info()[2])
 
         try:
             doc = minidom.parseString(manifest)
@@ -304,18 +305,18 @@ class AddonManager(object):
             for entry, value in description.attributes.items():
                 # Remove the namespace prefix from the tag for comparison
                 entry = entry.replace(em, "")
-                if entry in details.keys():
+                if entry in list(details.keys()):
                     details.update({entry: value})
             for node in description.childNodes:
                 # Remove the namespace prefix from the tag for comparison
                 entry = node.nodeName.replace(em, "")
-                if entry in details.keys():
+                if entry in list(details.keys()):
                     details.update({entry: get_text(node)})
         except Exception as e:
-            raise AddonFormatError(str(e)), None, sys.exc_info()[2]
+            six.reraise(AddonFormatError(str(e)), None, sys.exc_info()[2])
 
         # turn unpack into a true/false value
-        if isinstance(details['unpack'], basestring):
+        if isinstance(details['unpack'], str):
             details['unpack'] = details['unpack'].lower() == 'true'
 
         # If no ID is set, the add-on is invalid
diff --git a/testing/mozbase/mozprofile/mozprofile/cli.py b/testing/mozbase/mozprofile/mozprofile/cli.py
index 1dd513e561..5b265241b8 100755
--- a/testing/mozbase/mozprofile/mozprofile/cli.py
+++ b/testing/mozbase/mozprofile/mozprofile/cli.py
@@ -11,11 +11,12 @@ If no profile is specified, a new profile is created and the path of the
 resulting profile is printed.
 """
 
+from __future__ import print_function
 import sys
 from optparse import OptionParser
-from prefs import Preferences
-from profile import FirefoxProfile
-from profile import Profile
+from .prefs import Preferences
+from .profile import FirefoxProfile
+from .profile import Profile
 
 __all__ = ['MozProfileCLI', 'cli']
 
@@ -120,12 +121,12 @@ def cli(args=sys.argv[1:]):
 
     if cli.options.view:
         # view the profile, if specified
-        print profile.summary()
+        print(profile.summary())
         return
 
     # if no profile was passed in print the newly created profile
     if not cli.options.profile:
-        print profile.profile
+        print(profile.profile)
 
 if __name__ == '__main__':
     cli()
diff --git a/testing/mozbase/mozprofile/mozprofile/diff.py b/testing/mozbase/mozprofile/mozprofile/diff.py
index 98776e838c..c2fb0ef88e 100644
--- a/testing/mozbase/mozprofile/mozprofile/diff.py
+++ b/testing/mozbase/mozprofile/mozprofile/diff.py
@@ -4,8 +4,9 @@
 diff two profile summaries
 """
 
+from __future__ import print_function
 import difflib
-import profile
+from . import profile
 import optparse
 import os
 import sys
@@ -72,10 +73,10 @@ def diff_profiles(args=sys.argv[1:]):
     # display them
     while diffs:
         key, value = diffs.pop(0)
-        print '[%s]:\n' % key
-        print value
+        print('[%s]:\n' % key)
+        print(value)
         if diffs:
-            print '-' * 4
+            print('-' * 4)
 
 if __name__ == '__main__':
     diff_profiles()
diff --git a/testing/mozbase/mozprofile/mozprofile/permissions.py b/testing/mozbase/mozprofile/mozprofile/permissions.py
index ea13d96f02..b9e7769637 100644
--- a/testing/mozbase/mozprofile/mozprofile/permissions.py
+++ b/testing/mozbase/mozprofile/mozprofile/permissions.py
@@ -10,7 +10,8 @@ add permissions to the profile
 import codecs
 import os
 import sqlite3
-import urlparse
+import six.moves.urllib.parse
+import six
 
 __all__ = ['MissingPrimaryLocationError', 'MultiplePrimaryLocationsError',
            'DEFAULT_PORTS', 'DuplicateLocationError', 'BadPortLocationError',
@@ -78,7 +79,7 @@ class LocationsSyntaxError(Exception):
         return s
 
 
-class Location(object):
+class Location:
     """Represents a location line in server-locations.txt."""
 
     attrs = ('scheme', 'host', 'port')
@@ -100,13 +101,13 @@ class Location(object):
     __eq__ = isEqual
 
     def url(self):
-        return '%s://%s:%s' % (self.scheme, self.host, self.port)
+        return '{}://{}:{}'.format(self.scheme, self.host, self.port)
 
     def __str__(self):
-        return '%s  %s' % (self.url(), ','.join(self.options))
+        return '{}  {}'.format(self.url(), ','.join(self.options))
 
 
-class ServerLocations(object):
+class ServerLocations:
     """Iterable collection of locations.
     Use provided functions to add new locations, rather that manipulating
     _locations directly, in order to check for errors and to ensure the
@@ -137,7 +138,7 @@ class ServerLocations(object):
             self.add_callback([location])
 
     def add_host(self, host, port='80', scheme='http', options='privileged'):
-        if isinstance(options, basestring):
+        if isinstance(options, str):
             options = options.split(',')
         self.add(Location(scheme, host, port, options))
 
@@ -180,7 +181,7 @@ class ServerLocations(object):
             # parse the server url
             if '://' not in server:
                 server = 'http://' + server
-            scheme, netloc, path, query, fragment = urlparse.urlsplit(server)
+            scheme, netloc, path, query, fragment = six.moves.urllib.parse.urlsplit(server)
             # get the host and port
             try:
                 host, port = netloc.rsplit(':', 1)
@@ -205,7 +206,7 @@ class ServerLocations(object):
             self.add_callback(new_locations)
 
 
-class Permissions(object):
+class Permissions:
     """Allows handling of permissions for ``mozprofile``"""
 
     def __init__(self, profileDir, locations=None):
@@ -267,7 +268,7 @@ class Permissions(object):
         for location in locations:
             # set the permissions
             permissions = {'allowXULXBL': 'noxul' not in location.options}
-            for perm, allow in permissions.iteritems():
+            for perm, allow in permissions.items():
                 if allow:
                     permission_type = 1
                 else:
diff --git a/testing/mozbase/mozprofile/mozprofile/prefs.py b/testing/mozbase/mozprofile/mozprofile/prefs.py
index b0eb01e280..4b0cc9c251 100644
--- a/testing/mozbase/mozprofile/mozprofile/prefs.py
+++ b/testing/mozbase/mozprofile/mozprofile/prefs.py
@@ -6,11 +6,12 @@
 user preferences
 """
 
+from __future__ import print_function
 import json
 import mozfile
 import os
 import tokenize
-from ConfigParser import SafeConfigParser as ConfigParser
+from configparser import ConfigParser
 from StringIO import StringIO
 
 __all__ = ('PreferencesReadError', 'Preferences')
@@ -35,7 +36,7 @@ class Preferences(object):
         """
         # wants a list of 2-tuples
         if isinstance(prefs, dict):
-            prefs = prefs.items()
+            prefs = list(prefs.items())
         if cast:
             prefs = [(i, self.cast(j)) for i, j in prefs]
         self._prefs += prefs
@@ -63,7 +64,7 @@ class Preferences(object):
           with the ''s removed from both sides
         """
 
-        if not isinstance(value, basestring):
+        if not isinstance(value, str):
             return value  # no op
         quote = "'"
         if value == 'true':
@@ -124,7 +125,7 @@ class Preferences(object):
                 raise PreferencesReadError("No section '%s' in %s" % (section, path))
             retval = parser.items(section, raw=True)
         else:
-            retval = parser.defaults().items()
+            retval = list(parser.defaults().items())
 
         # cast the preferences since .ini is just strings
         return [(i, cls.cast(j)) for i, j in retval]
@@ -142,10 +143,10 @@ class Preferences(object):
                 raise PreferencesReadError("Malformed preferences: %s" % path)
             values = [i[1] for i in prefs]
         elif isinstance(prefs, dict):
-            values = prefs.values()
+            values = list(prefs.values())
         else:
             raise PreferencesReadError("Malformed preferences: %s" % path)
-        types = (bool, basestring, int)
+        types = (bool, str, int)
         if [i for i in values if not [isinstance(i, j) for j in types]]:
             raise PreferencesReadError("Only bool, string, and int values allowed")
         return prefs
@@ -185,7 +186,7 @@ class Preferences(object):
         retval = []
 
         def pref(a, b):
-            if interpolation and isinstance(b, basestring):
+            if interpolation and isinstance(b, str):
                 b = b.format(**interpolation)
             retval.append((a, b))
         lines = [i.strip().rstrip(';') for i in string.split('\n') if i.strip()]
@@ -196,12 +197,12 @@ class Preferences(object):
             try:
                 eval(line, _globals, {})
             except SyntaxError:
-                print line
+                print(line)
                 raise
 
         # de-magic the marker
         for index, (key, value) in enumerate(retval):
-            if isinstance(value, basestring) and marker in value:
+            if isinstance(value, str) and marker in value:
                 retval[index] = (key, value.replace(marker, '//'))
 
         return retval
@@ -210,14 +211,14 @@ class Preferences(object):
     def write(cls, _file, prefs, pref_string='user_pref(%s, %s);'):
         """write preferences to a file"""
 
-        if isinstance(_file, basestring):
-            f = file(_file, 'a')
+        if isinstance(_file, str):
+            f = open(_file, 'a')
         else:
             f = _file
 
         if isinstance(prefs, dict):
             # order doesn't matter
-            prefs = prefs.items()
+            prefs = list(prefs.items())
 
         # serialize -> JSON
         _prefs = [(json.dumps(k), json.dumps(v))
@@ -225,8 +226,8 @@ class Preferences(object):
 
         # write the preferences
         for _pref in _prefs:
-            print >> f, pref_string % _pref
+            print(pref_string % _pref, file=f)
 
         # close the file if opened internally
-        if isinstance(_file, basestring):
+        if isinstance(_file, str):
             f.close()
diff --git a/testing/mozbase/mozprofile/mozprofile/profile.py b/testing/mozbase/mozprofile/mozprofile/profile.py
index b07b114492..21c75f5dc0 100644
--- a/testing/mozbase/mozprofile/mozprofile/profile.py
+++ b/testing/mozbase/mozprofile/mozprofile/profile.py
@@ -7,12 +7,12 @@ import time
 import tempfile
 import uuid
 
-from addons import AddonManager
+from .addons import AddonManager
 import mozfile
-from permissions import Permissions
-from prefs import Preferences
+from .permissions import Permissions
+from .prefs import Preferences
 from shutil import copytree
-from webapps import WebappCollection
+from .webapps import WebappCollection
 
 __all__ = ['Profile',
            'FirefoxProfile',
@@ -20,7 +20,7 @@ __all__ = ['Profile',
            'ThunderbirdProfile']
 
 
-class Profile(object):
+class Profile:
     """Handles all operations regarding profile.
 
     Creating new profiles, installing add-ons, setting preferences and
@@ -30,7 +30,7 @@ class Profile(object):
     the object is garbage collected: ::
 
       profile = Profile()
-      print profile.profile  # this is the path to the created profile
+      print(profile.profile)  # this is the path to the created profile
       del profile
       # the profile path has been removed from disk
 
@@ -66,7 +66,7 @@ class Profile(object):
         if preferences:
             if isinstance(preferences, dict):
                 # unordered
-                preferences = preferences.items()
+                preferences = list(preferences.items())
 
             # sanity check
             assert not [i for i in preferences if len(i) != 2]
@@ -97,7 +97,7 @@ class Profile(object):
         self.written_prefs = set()
 
         # Our magic markers
-        nonce = '%s %s' % (str(time.time()), uuid.uuid4())
+        nonce = '{} {}'.format(str(time.time()), uuid.uuid4())
         self.delimeters = ('#MozRunner Prefs Start %s' % nonce,
                            '#MozRunner Prefs End %s' % nonce)
 
@@ -220,7 +220,7 @@ class Profile(object):
 
         # this is a dict sometimes, convert
         if isinstance(preferences, dict):
-            preferences = preferences.items()
+            preferences = list(preferences.items())
 
         # add new prefs to preserve them during reset
         for new_pref in preferences:
@@ -238,7 +238,7 @@ class Profile(object):
         """
 
         path = os.path.join(self.profile, filename)
-        with file(path) as f:
+        with open(path) as f:
             lines = f.read().splitlines()
 
         def last_index(_list, value):
@@ -246,7 +246,7 @@ class Profile(object):
             returns the last index of an item;
             this should actually be part of python code but it isn't
             """
-            for index in reversed(range(len(_list))):
+            for index in reversed(list(range(len(_list)))):
                 if _list[index] == value:
                     return index
         s = last_index(lines, self.delimeters[0])
@@ -254,18 +254,18 @@ class Profile(object):
 
         # ensure both markers are found
         if s is None:
-            assert e is None, '%s found without %s' % (self.delimeters[1], self.delimeters[0])
+            assert e is None, '{} found without {}'.format(self.delimeters[1], self.delimeters[0])
             return False  # no preferences found
         elif e is None:
-            assert s is None, '%s found without %s' % (self.delimeters[0], self.delimeters[1])
+            assert s is None, '{} found without {}'.format(self.delimeters[0], self.delimeters[1])
 
         # ensure the markers are in the proper order
-        assert e > s, '%s found at %s, while %s found at %s' % (self.delimeters[1], e,
+        assert e > s, '{} found at {}, while {} found at {}'.format(self.delimeters[1], e,
                                                                 self.delimeters[0], s)
 
         # write the prefs
         cleaned_prefs = '\n'.join(lines[:s] + lines[e + 1:])
-        with file(path, 'w') as f:
+        with open(path, 'w') as f:
             f.write(cleaned_prefs)
         return True
 
@@ -311,7 +311,7 @@ class Profile(object):
                     prefs = dict(prefs)
                     parts.append((prefs_file,
                                   '\n%s' % ('\n'.join(
-                                      ['%s: %s' % (key, format_value(key, prefs[key]))
+                                      ['{}: {}'.format(key, format_value(key, prefs[key]))
                                        for key in sorted(prefs.keys())]))))
 
                     # Currently hardcorded to 'network.proxy.autoconfig_url'
@@ -340,7 +340,7 @@ class Profile(object):
         if return_parts:
             return parts
 
-        retval = '%s\n' % ('\n\n'.join(['[%s]: %s' % (key, value)
+        retval = '%s\n' % ('\n\n'.join(['[{}]: {}'.format(key, value)
                                         for key, value in parts]))
         return retval
 
diff --git a/testing/mozbase/mozprofile/mozprofile/view.py b/testing/mozbase/mozprofile/mozprofile/view.py
index fcab85b0a8..fb427b510d 100644
--- a/testing/mozbase/mozprofile/mozprofile/view.py
+++ b/testing/mozbase/mozprofile/mozprofile/view.py
@@ -4,6 +4,7 @@
 script to view mozilla profiles
 """
 
+from __future__ import print_function
 import mozprofile
 import optparse
 import os
@@ -35,9 +36,9 @@ def view_profile(args=sys.argv[1:]):
     while args:
         path = args.pop(0)
         profile = mozprofile.Profile(path)
-        print profile.summary()
+        print(profile.summary())
         if args:
-            print '-' * 4
+            print('-' * 4)
 
 if __name__ == '__main__':
     view_profile()
diff --git a/testing/mozbase/mozprofile/mozprofile/webapps.py b/testing/mozbase/mozprofile/mozprofile/webapps.py
index 4daf9ef06a..a9837f79e1 100644
--- a/testing/mozbase/mozprofile/mozprofile/webapps.py
+++ b/testing/mozbase/mozprofile/mozprofile/webapps.py
@@ -63,7 +63,7 @@ class Webapp(dict):
                 raise WebappFormatException("Webapp object missing required key '%s'" % key)
 
 
-class WebappCollection(object):
+class WebappCollection:
     """A list-like object that collects webapps and updates the webapp manifests"""
 
     json_template = Template(""""$name": {
@@ -110,7 +110,7 @@ class WebappCollection(object):
         :param json_template: [optional] string template describing the webapp json format
         :param manifest_template: [optional] string template describing the webapp manifest format
         """
-        if not isinstance(profile, basestring):
+        if not isinstance(profile, str):
             raise TypeError("Must provide path to a profile, received '%s'" % type(profile))
         self.profile = profile
         self.webapps_dir = os.path.join(self.profile, 'webapps')
@@ -123,7 +123,7 @@ class WebappCollection(object):
                 apps = [apps]
 
             for app in apps:
-                if isinstance(app, basestring) and os.path.isfile(app):
+                if isinstance(app, str) and os.path.isfile(app):
                     self.extend(self.read_json(app))
                 else:
                     self.append(app)
@@ -259,13 +259,13 @@ class WebappCollection(object):
 
         Returns a list of Webapp objects
         """
-        f = open(path, 'r')
+        f = open(path)
         app_json = json.load(f)
         f.close()
 
         apps = []
         if isinstance(app_json, dict):
-            for k, v in app_json.iteritems():
+            for k, v in app_json.items():
                 v['name'] = k
                 apps.append(v)
         else:
